function vexalarm.panel_rw()
	return {
		type = "group",
		order= 5,
		args = {
			grpallow = {
				name = vexalarm.Locale["rw general grpname"],
				order=1, type ="group", dialogInline = true,
				args = {
					activate = {
						name = vexalarm.Locale["rw activate"],
						order=10, type = "toggle", width="double",
						set = function(self,key) vexalarm_parameters["rw"]["activate"]=key end,
						get = function() return vexalarm_parameters["rw"]["activate"] end,
						},
					},
				},
			frame_space1 = {name ="\n", type = "description", order=2},
			
			grpshow = {
				name = " ",
				order=3, type ="group", dialogInline = true,
				args = {
					chattype = {
						name = vexalarm.Locale["rw chattype"],
						order=1, type = "select", style = "dropdown",
						values = {
							["CHANNEL"]=vexalarm.Locale["rw chattype channel"],
							["GUILD"]=vexalarm.Locale["rw chattype guild"],
							["OFFICER"]=vexalarm.Locale["rw chattype officer"],
							["PARTY"]=vexalarm.Locale["rw chattype party"],
							["RAID"]=vexalarm.Locale["rw chattype raid"],
							["RAID_WARNING"]=vexalarm.Locale["rw chattype rw"],
							["SAY"]=vexalarm.Locale["rw chattype say"],
							["YELL"]=vexalarm.Locale["rw chattype yell"]},
						set = function(self,key) vexalarm_parameters["rw"]["chattype"]=key end,
						get = function() return vexalarm_parameters["rw"]["chattype"] end,
						},
					channel = {
						name = vexalarm.Locale["rw channel"],
						order=2, type = "input", multiline = false,
						width = "double",
						set = function(self,key) vexalarm_parameters["rw"]["channel"]=key end,
						get = function() return vexalarm_parameters["rw"]["channel"] end,
						},
					frame_space = {name =" \n\n", type = "description", order=5},	
					grp = {
						name = vexalarm.Locale["rw useprofile"],
						order=6, type = "toggle", width="full",
						set = function(self,key) vexalarm_parameters["rw"]["useprofile"]=key end,
						get = function() return vexalarm_parameters["rw"]["useprofile"] end,
						},
					profile_load = {
						name = vexalarm.Locale["rw profile"],
						order=7, type = "select", style = "dropdown",
						values = vexalarm_spellprofiles["profilelist"],
						set = function(self,key) vexalarm_parameters["rw"]["spellprofile"] = key end,
						get = function() return vexalarm_parameters["rw"]["spellprofile"] end,
						},
					},
				},
			}
		}
end