function vexalarm.panel_sounds()
	return {
		type = "group",
		args = {
			grpallow = {
				name = vexalarm.Locale["sounds general grpname"],
				order=1, type ="group", dialogInline = true,
				args = {
					allowsounds = {
						name = vexalarm.Locale["sounds allow"],
						order=1, type = "toggle",
						set = function(info,val) vexalarm_parameters["sounds"]["allow"]=val end,
						get = function() return vexalarm_parameters["sounds"]["allow"] end,
						},
					},
				},
			frame_space1 = {name ="\n", type = "description", order=2},
			
			grpbuff = {
				name = vexalarm.Locale["sounds buffs grpname"],
				order=3, type ="group", dialogInline = true,
				args = {
					grpactive = {
						name = vexalarm.Locale["sounds buffs active grpname"],
						order=3, type ="group", dialogInline = true,
						args = {
							activesound = {
								name = vexalarm.Locale["sounds sound"],
								order=11, type = "select",
								dialogControl = "LSM30_Sound",
								values = vexalarm.LSM:HashTable("sound"),
								set = function(self,key) vexalarm_parameters["sounds"]["active"]["file"] = key end,
								get = function() return vexalarm_parameters["sounds"]["active"]["file"] end,
								},
							activesoundchannel = {
								name = vexalarm.Locale["sounds channel"],
								order=12, type = "select", style = "dropdown",
								values = {["Master"]="Master", ["SFX"]="SFX", ["Ambience"]="Ambience", ["Music"]="Music"},
								set = function(self,key) vexalarm_parameters["sounds"]["active"]["channel"] = key  end,
								get = function() return vexalarm_parameters["sounds"]["active"]["channel"] end,
								},
							},
						},
					frame_space2 = {name ="\n", type = "description", order=4},
					
					grpinactive = {
						name = vexalarm.Locale["sounds buffs inactive grpname"],
						order=5, type ="group", dialogInline = true,
						args = {
							inactivesound = {
								name = vexalarm.Locale["sounds sound"],
								order=21, type = "select",
								dialogControl = "LSM30_Sound",
								values = vexalarm.LSM:HashTable("sound"),
								set = function(self,key) vexalarm_parameters["sounds"]["inactive"]["file"] = key end,
								get = function() return vexalarm_parameters["sounds"]["inactive"]["file"] end,
								},
							inactivesoundchannel = {
								name = vexalarm.Locale["sounds channel"],
								order=22, type = "select", style = "dropdown",
								values = {["Master"]="Master", ["SFX"]="SFX", ["Ambience"]="Ambience", ["Music"]="Music"},
								set = function(self,key) vexalarm_parameters["sounds"]["inactive"]["channel"] = key end,
								get = function() return vexalarm_parameters["sounds"]["inactive"]["channel"] end,
								},
							},
						},
					},
				},
			frame_space3 = {name ="\n", type = "description", order=5},
			
			grpcast = {
				name = vexalarm.Locale["sounds casts grpname"],
				order=6, type ="group", dialogInline = true,
				args = {
					inactivesound = {
						name = vexalarm.Locale["sounds sound"],
						order=21, type = "select",
						dialogControl = "LSM30_Sound",
						values = vexalarm.LSM:HashTable("sound"),
						set = function(self,key) vexalarm_parameters["sounds"]["cast"]["file"] = key end,
						get = function() return vexalarm_parameters["sounds"]["cast"]["file"] end,
						},
					inactivesoundchannel = {
						name = vexalarm.Locale["sounds channel"],
						order=22, type = "select", style = "dropdown",
						values = {["Master"]="Master", ["SFX"]="SFX", ["Ambience"]="Ambience", ["Music"]="Music"},
						set = function(self,key) vexalarm_parameters["sounds"]["cast"]["channel"] = key end,
						get = function() return vexalarm_parameters["sounds"]["cast"]["channel"] end,
						},
					},
				},
			}
		}
end
