vexalarm_defaults = {
	["variableversion"] = 3,
	["enable"] = true,
	["showonlyinfight"] = false,
	["showgrponly"] = true,
	["myspells"] = true,
	["msgs"] = {
		["buff"] = 		{["active"] = "", ["inactive"] = ""},
		["selfbuff"] = 	{["active"] = "", ["inactive"] = ""},
		["grpbuff"] = 	{["active"] = "", ["inactive"] = ""},
		["instant"] = "",
		["instantself"] = "",
		["status"] = 	{["active"] = "", ["inactive"] = ""},
		},
	["colors"] = {
		["active"] = 	{["HEX"] = "2cf22e",	["r"] = 0.176, 	["g"] = 0.968, 		["b"] = 0.184},
		["inactive"] = 	{["HEX"] = "bb3232",	["r"] = 0.749, 	["g"] = 0.204, 		["b"] = 0.204},
		["caster_sc"] = {["HEX"] = "fa56f8", 	["r"] = 1, 		["g"] = 0.345, 		["b"] = 0.992},
		["target_sc"] = {["HEX"] = "1815fa", 	["r"] = 0.098, 	["g"] = 0.0862, 	["b"] = 1},
		["spell_sc"] = 	{["HEX"] = "ce4c0c", 	["r"] = 0.8274, ["g"] = 0.3058, 	["b"] = 0.05098},
		["cc"] = {
			["DEATHKNIGHT"] = "C41F3B",
			["DRUID"] 		= "FF7D0A",
			["HUNTER"] 		= "ABD473",
			["MAGE"] 		= "69CCF0",
			["PALADIN"] 	= "F58CBA",
			["PRIEST"] 		= "FFFFFF",
			["ROGUE"] 		= "FFF569",
			["SHAMAN"] 		= "0070DE",
			["WARLOCK"] 	= "9482C9",
			["WARRIOR"] 	= "C79C6E",
			["MONK"] 		= "558A84",
			[""] 			= "A1A1A1",
			},
		},
	["rw"] = {
		["activate"] = false,
		["chattype"] = "RAID_WARNING",
		["channel"] = "5",
		["useprofile"] = false,
		["spellprofile"] = "",
		["msgs"] = {
			["buff"] = 		{["active"] = "", ["inactive"] = ""},
			["selfbuff"] = 	{["active"] = "", ["inactive"] = ""},
			["grpbuff"] = 	{["active"] = "", ["inactive"] = ""},
			["instant"] = "",
			["instantself"] = "",
			["status"] = 	{["active"] = "", ["inactive"] = ""},
			},
		},
	["timedata"] = {
		["allowvanish"] = true,
		["show"] = 3,
		["vanish"] = 3,
		},
	["sounds"] = {
		["allow"] = true,
		["active"] = {["file"] = "01", ["channel"] = "Master"},
		["inactive"] = {["file"] = "27", ["channel"] = "Master"},
		["cast"] = {["file"] = "01", ["channel"] = "Master"},
		},
	["frame"] = {
		["allowscrolling"] = true,
		["scrolldown"] = false,
		["text"] = {
			["font"] = "Friz Quadrata TT",
			["align"] = "LEFT",
			["size"] = 14,
			["outline"] = "OUTLINE",
			["color"] = {
				["active"] = {["r"] = 1, ["g"] = 1, ["b"] = 1, ["a"] = 1},
				["inactive"] = {["r"] = 1, ["g"] = 0, ["b"] = 0, ["a"] = 1},
				},			
			},
		["maxevents"] = 5,
		["position"] = {
			["alarm"] = {["x"] = 20, ["y"] = 0, ["spacing"] = 20,},
			["bg"] = {["x"] = 0, ["y"] = 0, ["anchor"] = "CENTER"},
			},
		["size"] = {["width"] = 500, ["height"] = 200},
		["bg"] = {
			["texture"] = "Solid",
			["color"] = {["r"] = 0, ["g"] = 0, ["b"] = 0, ["a"] = 0.25},
			},
		["border"] = {
			["texture"] = "None",
			["size"] = 1,
			["color"] = {["r"] = 0, ["g"] = 0, ["b"] = 0, ["a"] = 1},
			},
		["altframes"] = {
			},
		},
	}

function vexalarm_msgsSetToLocales()
	vexalarm_defaults["msgs"]["buff"]["active"] = vexalarm.Locale["msgs buff active"]
	vexalarm_defaults["msgs"]["buff"]["inactive"] = vexalarm.Locale["msgs buff inactive"]
	vexalarm_defaults["msgs"]["selfbuff"]["active"] = vexalarm.Locale["msgs selfbuff active"]
	vexalarm_defaults["msgs"]["selfbuff"]["inactive"] = vexalarm.Locale["msgs selfbuff inactive"]
	vexalarm_defaults["msgs"]["grpbuff"]["active"] = vexalarm.Locale["msgs grpbuff active"]
	vexalarm_defaults["msgs"]["grpbuff"]["inactive"] = vexalarm.Locale["msgs grpbuff inactive"]
	vexalarm_defaults["msgs"]["instant"] = vexalarm.Locale["msgs instant"]
	vexalarm_defaults["msgs"]["instantself"] = vexalarm.Locale["msgs instantself"]
	vexalarm_defaults["msgs"]["status"]["active"] = vexalarm.Locale["msgs status active"]
	vexalarm_defaults["msgs"]["status"]["inactive"] = vexalarm.Locale["msgs status inactive"]
	
	vexalarm_defaults["rw"]["msgs"]["buff"]["active"] = vexalarm.Locale["rw msgs buff active"]
	vexalarm_defaults["rw"]["msgs"]["buff"]["inactive"] = vexalarm.Locale["rw msgs buff inactive"]
	vexalarm_defaults["rw"]["msgs"]["selfbuff"]["active"] = vexalarm.Locale["rw msgs selfbuff active"]
	vexalarm_defaults["rw"]["msgs"]["selfbuff"]["inactive"] = vexalarm.Locale["rw msgs selfbuff inactive"]
	vexalarm_defaults["rw"]["msgs"]["grpbuff"]["active"] = vexalarm.Locale["rw msgs grpbuff active"]
	vexalarm_defaults["rw"]["msgs"]["grpbuff"]["inactive"] = vexalarm.Locale["rw msgs grpbuff inactive"]
	vexalarm_defaults["rw"]["msgs"]["instant"] = vexalarm.Locale["rw msgs instant"]
	vexalarm_defaults["rw"]["msgs"]["instantself"] = vexalarm.Locale["rw msgs instantself"]
	vexalarm_defaults["rw"]["msgs"]["status"]["active"] = vexalarm.Locale["rw msgs status active"]
	vexalarm_defaults["rw"]["msgs"]["status"]["inactive"] = vexalarm.Locale["rw msgs status inactive"]
end
	
function vexalarm_loaddefaults(force)
	vexalarm_msgsSetToLocales()
	
	vexalarm_parameters =  vexalarm_check_tablecontent(vexalarm_defaults, vexalarm_parameters, force)
	vexalarm_spells = vexalarm_check_tablecontent(vexalarm_spells_defaults, vexalarm_spells, force)
	vexalarm_loadProfileDefaults()
	
	vexalarm_variable_update_3()
		
	if force then vexalarm_initialize(true) end
end

function vexalarm_loadProfileDefaults()
	if vexalarm_spellprofiles == nil then vexalarm_spellprofiles = { } end
	if vexalarm_spellprofiles["profilelist"] == nil then vexalarm_spellprofiles["profilelist"] = {} end
	if vexalarm_profiles == nil then vexalarm_profiles = { } end
	if vexalarm_profiles["profilelist"] == nil then vexalarm_profiles["profilelist"] = {} end
end

function vexalarm_variable_update_3()
	if vexalarm_parameters["variableversion"] < 3 then
		vexalarm_transform_msgcontent()
		vexalarm_transform_spelltables()
		vexalarm_transform_frame_position()
		vexalarm_parameters["variableversion"] = 3
	end
end

function vexalarm_transform_frame_position()
	vexalarm_parameters["frame"]["position"]["bg"]["x"] = vexalarm_parameters["frame"]["position"]["bg"]["x"]+(vexalarm_parameters["frame"]["size"]["width"]/2)
	vexalarm_parameters["frame"]["position"]["bg"]["y"] = vexalarm_parameters["frame"]["position"]["bg"]["y"]-(vexalarm_parameters["frame"]["size"]["height"]/2)
end

function vexalarm_transform_msgcontent()
	local key1="msgs"
	local key2={"buff", "selfbuff", "grpbuff", "instant", "instantself"}
	local key3 = {"active", "inactive"}
	
	for i=1, #key2 do
		if i ~= 4 and i ~=5 then 
			for j=1, #key3 do
				if type(vexalarm_parameters[key1][key2[i]][key3[j]]) == "table" then vexalarm_parameters[key1][key2[i]][key3[j]] = vexalarm_parameters[key1][key2[i]][key3[j]][1] end
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{spell}", "%[spell%]")
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{spell_sc}", "%[spell_sc%]")
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{spell_cc}", "%[spell_cc%]")
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{caster}", "%[caster%]")
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{caster_sc}", "%[caster_sc%]")
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{caster_cc}", "%[caster_cc%]")
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{target}", "%[target%]")
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{target_sc}", "%[target_sc%]")
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{target_cc}", "%[target_cc%]")
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{status}", "%[status%]")
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{status_sc}", "%[status_sc%]")
				vexalarm_parameters[key1][key2[i]][key3[j]] = string.gsub(vexalarm_parameters[key1][key2[i]][key3[j]], "{status_cc}", "%[status_cc%]")
			end
		else
			if type(vexalarm_parameters[key1][key2[i]]) == "table" then vexalarm_parameters[key1][key2[i]] = vexalarm_parameters[key1][key2[i]][1] end
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{spell}", "%[spell%]")
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{spell_sc}", "%[spell_sc%]")
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{spell_cc}", "%[spell_cc%]")
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{caster}", "%[caster%]")
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{caster_sc}", "%[caster_sc%]")
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{caster_cc}", "%[caster_cc%]")
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{target}", "%[target%]")
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{target_sc}", "%[target_sc%]")
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{target_cc}", "%[target_cc%]")
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{status}", "%[status%]")
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{status_sc}", "%[status_sc%]")
			vexalarm_parameters[key1][key2[i]] = string.gsub(vexalarm_parameters[key1][key2[i]], "{status_cc}", "%[status_cc%]")
		end
	end
end


function vexalarm_transform_spelltables()
	local temp = {}
	
	if vexalarm_selfbuffs~=nil then
		for i,val in ipairs(vexalarm_selfbuffs) do
			if vexalarm_spells_defaults[val[1]] ~=nil then
				vexalarm_spells[val[1]][1] = val[2]
				vexalarm_spells[val[1]][2] = val[3]
				vexalarm_spells[val[1]][3] = val[4]
				vexalarm_spells[val[1]][4] = val[5]
			end
		end
	end
	
	if vexalarm_buffs~=nil then
		for i,val in ipairs(vexalarm_buffs) do
			if vexalarm_spells_defaults[val[1]] ~=nil then
				vexalarm_spells[val[1]][1] = val[2]
				vexalarm_spells[val[1]][2] = val[3]
				vexalarm_spells[val[1]][3] = val[4]
				vexalarm_spells[val[1]][4] = val[5]
			end
		end
	end
	
	if vexalarm_grpbuffs~=nil then
		for i,val in ipairs(vexalarm_grpbuffs) do
			if vexalarm_spells_defaults[val[1]] ~=nil then
				vexalarm_spells[val[1]][1] = val[2]
				vexalarm_spells[val[1]][2] = val[3]
				vexalarm_spells[val[1]][3] = val[4]
				vexalarm_spells[val[1]][4] = val[5]
			end
		end
	end
	
	if vexalarm_instantsself~=nil then
		for i,val in ipairs(vexalarm_instantsself) do
			if vexalarm_spells_defaults[val[1]] ~=nil then
				vexalarm_spells[val[1]][1] = val[2]
				vexalarm_spells[val[1]][2] = val[3]
				vexalarm_spells[val[1]][3] = val[4]
				vexalarm_spells[val[1]][4] = val[5]
			end
		end
	end
	
	if vexalarm_instants~=nil then
		for i,val in ipairs(vexalarm_instants) do
			if vexalarm_spells_defaults[val[1]] ~=nil then
				vexalarm_spells[val[1]][1] = val[2]
				vexalarm_spells[val[1]][2] = val[3]
				vexalarm_spells[val[1]][3] = val[4]
				vexalarm_spells[val[1]][4] = val[5]
			end
		end
	end
end

function vexalarm_check_tablecontent(defaults, saved, force)
	local temp = {}
	if force or type(saved) ~= "table" then temp=defaults
	else
		for key,val in pairs(defaults) do
			if type(val) == "table" then
				temp[key] = {}
				if saved[key] == nil then
					temp[key] = val
				else
					temp[key] = vexalarm_check_tablecontent(defaults[key], saved[key], force)
				end
			else
				if saved[key] == nil then
					temp[key] = val
				else
					temp[key] = saved[key]
				end
			end
		end
		
		--adds information that is not in the defaults list
		for key,val in pairs(saved) do
			if type(val) == "table" then
				temp[key] = {}
				if defaults[key] == nil then
					temp[key] = val
				else
					temp[key] = vexalarm_check_tablecontent(defaults[key], saved[key], force)
				end
			else
				if defaults[key] == nil then
					temp[key] = val
				else
					temp[key] = saved[key]
				end
			end
		end
	end
	return temp
end