function vexalarm.panel_msgcontent()
	return {
		type = "group",
		order= 1,
		args = {
			grptestmode = {
				name = vexalarm.Locale["test-mode grpname"],
				order=1, type ="group", dialogInline = true,
				args = {
					testmode = {
						name = vexalarm.Locale["activate test-mode"],
						order=1, type = "toggle", width="full",
						set = function(info,val) vexalarm.testmode=val vexalarm_test_starter(val) end,
						get = function() return vexalarm.testmode end,
						},
					testmodeinfo = {name =vexalarm.Locale["test-mode info"], type = "description", order=2, fontSize="medium"},
					},
				},
			frame_space_testmode = {name ="\n", type = "description", order=2},
				
			grpmsgsinfo = {
				name = vexalarm.Locale["msgcontent tags info grpname"],
				order=2, type ="group", dialogInline = true,
				args = {
					header = {name = vexalarm.Locale["msgcontent tags info"], type = "description", order=1, fontSize="medium"},
					},
				},
			framemsgs1 = {name ="\n", type = "description", order=3},
		
			grpmsgsbuffs = {
				name = vexalarm.Locale["buffs"],
				order=10, type ="group", dialogInline = true,
				args = {
					buffinfo = {name ="'buff'-spells are buffs that have a single target, Example:\n", type = "description", order=1, fontSize="medium"},
					buffimage = {name=vexalarm_colorize_class(select(1, GetSpellInfo(47788)), "47788", "spell"), fontSize="large",
						image = select(3, GetSpellInfo(47788)), type="description", order=2},
					buff = {
						name = vexalarm.Locale["msgcontent active message"] ,
						desc = vexalarm.Locale["msgcontent active message desc"],
						order=10, type = "input", multiline = false,
						width = "double",
						set = function(info,val) vexalarm_parameters["msgs"]["buff"]["active"]=val end,
						get = function() return vexalarm_parameters["msgs"]["buff"]["active"] end
						},
					buffdefault = {
						name = vexalarm.Locale["Reset"],
						order=11, type = "execute",
						func = function(info,val) vexalarm_parameters["msgs"]["buff"]["active"]=vexalarm_defaults["msgs"]["buff"]["active"] end,
						},
					buff2 = {
						name = vexalarm.Locale["msgcontent inactive message"],
						desc = vexalarm.Locale["msgcontent inactive message desc"] ,
						order=12, type = "input", multiline = false,
						width = "double",
						set = function(info,val) vexalarm_parameters["msgs"]["buff"]["inactive"]=val end,
						get = function() return vexalarm_parameters["msgs"]["buff"]["inactive"] end
						},
					buff2default = {
						name = vexalarm.Locale["Reset"],
						order=13, type = "execute",
						func = function(info,val) vexalarm_parameters["msgs"]["buff"]["inactive"]=vexalarm_defaults["msgs"]["buff"]["inactive"] end,
						},
					},
				},
			framemsgs2 = {name ="\n", type = "description", order=11},
				
			grpmsgsselfbuffs = {
				name = vexalarm.Locale["selfbuffs"],
				order=20, type ="group", dialogInline = true,
				args = {
					selfbuffinfo = {name ="'selfbuff'-spells are buffs that have no target and are mostly casted on yourself, Example:\n", type = "description", order=1, fontSize="medium"},
					selfbuffimage = {name=vexalarm_colorize_class(select(1, GetSpellInfo(871)), "871", "spell"), fontSize="large",
						image = select(3, GetSpellInfo(871)), type="description", order=2},
					selfbuff = {
						name = vexalarm.Locale["msgcontent active message"],
						desc = vexalarm.Locale["msgcontent active message desc"],
						order=10, type = "input", multiline = false,
						width = "double",
						set = function(info,val) vexalarm_parameters["msgs"]["selfbuff"]["active"]=val end,
						get = function() return vexalarm_parameters["msgs"]["selfbuff"]["active"] end
						},
					selfbuffdefault = {
						name = vexalarm.Locale["Reset"],
						order=11, type = "execute",
						func = function(info,val) vexalarm_parameters["msgs"]["selfbuff"]["active"]=vexalarm_defaults["msgs"]["selfbuff"]["active"] end,
						},
					selfbuff2 = {
						name = vexalarm.Locale["msgcontent inactive message"],
						desc = vexalarm.Locale["msgcontent inactive message desc"],
						order=12, type = "input", multiline = false,
						width = "double",
						set = function(info,val) vexalarm_parameters["msgs"]["selfbuff"]["inactive"]=val end,
						get = function() return vexalarm_parameters["msgs"]["selfbuff"]["inactive"] end
						},
					selfbuff2default = {
						name = vexalarm.Locale["Reset"],
						order=13, type = "execute",
						func = function(info,val) vexalarm_parameters["msgs"]["selfbuff"]["inactive"]=vexalarm_defaults["msgs"]["selfbuff"]["inactive"] end,
						},
					},
				},
			framemsgs3 = {name ="\n", type = "description", order=21},
				
				
			grpmsgsgrpbuffs = {
				name = vexalarm.Locale["grpbuffs"],
				order=30, type ="group", dialogInline = true,
				args = {
					grpbuffinfo = {name ="'grpbuff'-spells are buffs that effect multiple targets, Example:\n", type = "description", order=1, fontSize="medium"},
					grpbuffimage = {name=vexalarm_colorize_class(select(1, GetSpellInfo(32182)), "32182", "spell"), fontSize="large",
						image = select(3, GetSpellInfo(32182)), type="description", order=2},
					grpbuff = {
						name = vexalarm.Locale["msgcontent active message"],
						desc = vexalarm.Locale["msgcontent active message desc"],
						order=10, type = "input", multiline = false,
						width = "double",
						set = function(info,val) vexalarm_parameters["msgs"]["grpbuff"]["active"]=val end,
						get = function() return vexalarm_parameters["msgs"]["grpbuff"]["active"] end
						},
					grpbuffdefault = {
						name = vexalarm.Locale["Reset"],
						order=11, type = "execute",
						func = function(info,val) vexalarm_parameters["msgs"]["grpbuff"]["active"]=vexalarm_defaults["msgs"]["grpbuff"]["active"] end,
						},
					grpbuff2 = {
						name = vexalarm.Locale["msgcontent inactive message"],
						desc = vexalarm.Locale["msgcontent inactive message desc"],
						order=12, type = "input", multiline = false,
						width = "double",
						set = function(info,val) vexalarm_parameters["msgs"]["grpbuff"]["inactive"]=val end,
						get = function() return vexalarm_parameters["msgs"]["grpbuff"]["inactive"] end
						},
					grpbuff2default = {
						name = vexalarm.Locale["Reset"],
						order=13, type = "execute",
						func = function(info,val) vexalarm_parameters["msgs"]["grpbuff"]["inactive"]=vexalarm_defaults["msgs"]["grpbuff"]["inactive"] end,
						},
					},
				},
			framemsgs4 = {name ="\n", type = "description", order=31},
				
			grpmsgsinstants = {
				name = vexalarm.Locale["instants"],
				order=40, type ="group", dialogInline = true,
				args = {
					castinfo = {name ="'cast'-spells are spells that have a target, Example:\n", type = "description", order=1, fontSize="medium"},
					castimage = {name=vexalarm_colorize_class(select(1, GetSpellInfo(34477)), "34477", "spell"), fontSize="large",
						image = select(3, GetSpellInfo(34477)), type="description", order=2},
					instant = {
						name = vexalarm.Locale["msgcontent message"],
						desc = vexalarm.Locale["msgcontent message desc"],
						order=10, type = "input", multiline = false,
						width = "double",
						set = function(info,val) vexalarm_parameters["msgs"]["instant"]=val end,
						get = function() return vexalarm_parameters["msgs"]["instant"] end
						},
					instantdefault = {
						name = vexalarm.Locale["Reset"],
						order=11, type = "execute",
						func = function(info,val) vexalarm_parameters["msgs"]["instant"]=vexalarm_defaults["msgs"]["instant"] end,
						},
					},
				},
			framemsgs5 = {name ="\n", type = "description", order=41},
				
			grpmsgsinstantsself = {
				name = vexalarm.Locale["instantsself"],
				order=50, type ="group", dialogInline = true,
				args = {
					selfcastinfo = {name ="'selfcast'-spells are spells that have no target and are mostly casted on yourself, Example:\n", type = "description", order=1, fontSize="medium"},
					selfcastimage = {name=vexalarm_colorize_class(select(1, GetSpellInfo(1856)), "1856", "spell"), fontSize="large",
						image = select(3, GetSpellInfo(1856)), type="description", order=2},
					instantself = {
						name = vexalarm.Locale["msgcontent message"],
						desc = vexalarm.Locale["msgcontent message desc"],
						order=10, type = "input", multiline = false,
						width = "double",
						set = function(info,val) vexalarm_parameters["msgs"]["instantself"]=val end,
						get = function() return vexalarm_parameters["msgs"]["instantself"] end
						},
					instantselfdefault = {
						name = vexalarm.Locale["Reset"],
						order=11, type = "execute",
						func = function(info,val) vexalarm_parameters["msgs"]["instantself"]=vexalarm_defaults["msgs"]["instantself"] end,
						},
					},
				},
			framemsgs6 = {name ="\n", type = "description", order=51},
			
			grpmsgsstatus = {
				name = vexalarm.Locale["msgcontent status grpname"],
				order=60, type ="group", dialogInline = true,
				args = {
					activeself = {
						name = vexalarm.Locale["msgcontent status active"],
						desc = vexalarm.Locale["msgcontent active message desc"],
						order=10, type = "input", multiline = false,
						set = function(info,val) vexalarm_parameters["msgs"]["status"]["active"]=val end,
						get = function() return vexalarm_parameters["msgs"]["status"]["active"] end
						},
					activedefault = {
						name = vexalarm.Locale["Reset"],
						order=11, type = "execute",
						func = function(info,val) vexalarm_parameters["msgs"]["status"]["active"]=vexalarm_defaults["msgs"]["status"]["active"] end,
						},
					statusspace = {name ="\n", type = "description", order=12},
						
					inactiveself = {
						name = vexalarm.Locale["msgcontent status inactive"],
						desc = vexalarm.Locale["msgcontent inactive message desc"],
						order=13, type = "input", multiline = false,
						set = function(info,val) vexalarm_parameters["msgs"]["status"]["inactive"]=val end,
						get = function() return vexalarm_parameters["msgs"]["status"]["inactive"] end
						},
					inactivedefault = {
						name = vexalarm.Locale["Reset"],
						order=14, type = "execute",
						func = function(info,val) vexalarm_parameters["msgs"]["status"]["inactive"]=vexalarm_defaults["msgs"]["status"]["inactive"] end,
						},
					},
				},
			}
		}
end